The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Sensor Details

Prev Next

This URL gets the details for the specified Sensor.

Resource URL

GET /sensor/<sensor_id>

Request Parameters

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

SensorInfo

Sensor details

Object

The details of the Sensor Info are given below:

Field Name

Description

Data Type

SensorDescriptor

Sensor details

Object

Interfaces

Details of all Interfaces

Object

Ports

Details of all ports

Object

Details of SensorDescriptor:

Field Name

Description

Data Type

sensorId

Sensor primary key

Number

name

Name of the Sensor

String

model

Sensor model

String

Description

Sensor description

String

DomainId

Id of domain to which this Sensor belongs

Number

isFailOver

Whether the Sensor is a failover Sensor

Boolean

isLoadBalancer

Whether the Sensor is a load balancer Sensor

Boolean

SigsetVersion

Signature set version number applied to the Sensor

String

DATVersion

Botnet version present on Sensor

String

SoftwareVersion

Sensor software version

String

LastSignatureUpdateTs

Last configuration download timestamp

Number

IPSPolicyID

IPS policy id applied to the Sensor

Number

ReconPolicyID

Recon policy id applied to the Sensor

Number

LastModTs

Last modified timestamp

String

sensorIPAddress

Sensor's IP address

String

nsmVersion

Manager version

String

MemberSensors

Member sensors in case of FO or LB

Array

Details of objects in MemberSensors:

Field Name

Description

Data Type

sensorId

Sensor primary key

Number

name

Name of the Sensor

String

sensorIPAddress

Sensor's IP address

String

SigsetVersion

Signature set version number applied to the sensor

String

DATVersion

Botnet version present on sensor

String

Details of interfaces:

Field Name

Description

Data Type

InterfaceInfo

List of interfaces

Array

Details of object in InterfaceInfo:

Field Name

Description

Data Type

vidsId

Unique Id to identify interface/subinterface

Number

name

Name of the interface

String

Description

Interface description

String

InterfaceType

Traffic type

Object

IPSPolicyId

IPS policy applied on interface

Number

DomainId

ID of the domain to which the interface is added

Number

SubInterfaces

Sub interface details

Object

LastModTs

Last modified timestamp

String

Details of InterfaceType:

Field Name

Description

Data Type

Dedicated

Default traffic type. No segmentation of traffic

Object

Vlan

Segment of interface into multiple networks by VLAN tags

Object

Cidr

Enables segment of interface into multiple networks by CIDR addressing

Object

BridgeVlan

Segment of interface into multiple networks by bridge VLAN tags

Object

Details of BridgeVlan:

Field Name

Description

Data Type

bridgeVlanRangeList

List of bridge VLAN range

Array

Details of CIDR:

Field Name

Description

Data Type

CidrId

List of CIDR IDs

Array

Details of Vlan:

Field Name

Description

Data Type

id

List of sub interfaces

Array

Details of object in SubInterfaceInfo:

Field Name

Description

Data Type

name

Name of the interface

String

vidsId

Unique Id to identify subinterface

Number

InterfaceType

Traffic type. VLAN or CIDR

String

IPSPolicyId

IPS policy applied on interface

Number

LastModTs

Last modified timestamp

String

Details of ports:

Field Name

Description

Data Type

PortInfo

Port information

Object

Details of PortInfo:

Field Name

Description

Data Type

portId

Unique Id to identify port

Number

portSettings

Describes port configurations

Object

operatingMode

Port operating mode

Object

ResponseMode

Port response mode

Object

Details of portSettings:

Field Name

Description

Data Type

portName

Name of the port

String

portType

Describes port type

String

configuration

Port configuration (Speed and Duplex)

Object

administrativeStatus

Port administrative status. Can be "Enabled" or "Disabled"

String

operationalStatus

Port operational status. Can be "Up" or "Down"

String

Details of configuration:

Field Name

Description

Data Type

Speed

Port speed

String

Duplex

Full/Half duplex port

String

Details of operatingMode:

Field Name

Description

Data Type

Mode

Port mode

String

peerPort

Describes port peer

String

connectedTo

Peer port connected to, can be "Inside Network" / "Outside Network" / "n/a" (incase of span port)

String

Details of ResponseMode:

Field Name

Description

Data Type

sendResponseFrom

Send response from port

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001

Response

{
	"SensorInfo": {
		"SensorDescriptor": {
			"sensorId": 1001,
			"name": "NS7100",
			"model": "IPS-NS7100",
			"Description": "MCAFEE-NETWORK-SECURITY-PLATFORM",
			"DomainID": 0,
			"isFailOver": false,
			"isLoadBalancer": false,
			"SigsetVersion": "9.8.11.1",
			"DATVersion": "1854.0",
			"SoftwareVersion": "9.1.5.20",
			"LastSignatureUpdateTs": "2017-12-11 23:03:41",
			"IPSPolicyID": 19,
			"ReconPolicyID": 0,
			"LastModTs": null,
			"sensorIPAddress": null,
			"nsmVersion": null,
			"MemberSensors": []
		},
		"Interfaces": {
			"InterfaceInfo": [{
				"vidsId": 119,
				"name": "G0/1-G0/2",
				"Description": "",
				"Interfacetype": {
					"Dedicated": {
						
					},
					"Vlan": null,
					"Cidr": null,
					"BridgeVlan": null
				},
				"IPSPolicyId": 19,
				"DomainId": 0,
				"SubInterfaces": null,
				"LastModTs": "2017-12-08 09:43:57"
			},
			{
				"vidsId": 189,
				"name": "G3/1-G3/2",
				"Description": "",
				"Interfacetype": {
					"Dedicated": null,
					"Vlan": {
						"id": []
					},
					"Cidr": null,
					"BridgeVlan": null
				},
				"IPSPolicyId": 308,
				"DomainId": 101,
				"SubInterfaces": {
					"SubInterfaceInfo": [{
						"vidsId": 200,
						"name": "Sub-49",
						"Description": null,
						"Interfacetype": {
							"Dedicated": null,
							"Vlan": {
								"id": ["49"]
							},
							"Cidr": null,
							"BridgeVlan": null
						},
						"IPSPolicyId": 306,
						"DomainId": 101,
						"SubInterfaces": null,
						"LastModTs": "2017-12-09 16:13:25"
					}]
				},
				"LastModTs": "2017-12-09 03:43:18"
			},
			{
				"vidsId": 118,
				"name": "G3/1-G3/2",
				"Description": "Interface",
				"Interfacetype": {
					"Dedicated": null,
					"Vlan": {
						"id": []
					},
					"Cidr": null,
					"BridgeVlan": null
				},
				"IPSPolicyId": 308,
				"DomainId": 0,
				"SubInterfaces": {
					"SubInterfaceInfo": [{
						"vidsId": 210,
						"name": "Sub-60",
						"Description": null,
						"Interfacetype": {
							"Dedicated": null,
							"Vlan": {
								"id": ["60"]
							},
							"Cidr": null,
							"BridgeVlan": null
						},
						"IPSPolicyId": 19,
						"DomainId": 0,
						"SubInterfaces": null,
						"LastModTs": "2017-12-09 03:43:26"
					},
					{
						"vidsId": 209,
						"name": "Sub-241",
						"Description": null,
						"Interfacetype": {
							"Dedicated": null,
							"Vlan": {
								"id": ["241"]
							},
							"Cidr": null,
							"BridgeVlan": null
						},
						"IPSPolicyId": 308,
						"DomainId": 0,
						"SubInterfaces": null,
						"LastModTs": "2017-12-09 19:24:11"
					}]
				},
				"LastModTs": "2017-12-11 19:19:13"
			},
			{
				"vidsId": 117,
				"name": "G3/3-G3/4",
				"Description": "",
				"Interfacetype": {
					"Dedicated": {
						
					},
					"Vlan": null,
					"Cidr": null,
					"BridgeVlan": null
				},
				"IPSPolicyId": 19,
				"DomainId": 0,
				"SubInterfaces": null,
				"LastModTs": "2017-12-08 09:43:57"
			},
			{
				"vidsId": 116,
				"name": "G3/5-G3/6",
				"Description": "",
				"Interfacetype": {
					"Dedicated": {
						
					},
					"Vlan": null,
					"Cidr": null,
					"BridgeVlan": null
				},
				"IPSPolicyId": 19,
				"DomainId": 0,
				"SubInterfaces": null,
				"LastModTs": "2017-12-08 09:43:57"
			},
			{
				"vidsId": 115,
				"name": "G3/7-G3/8",
				"Description": "",
				"Interfacetype": {
					"Dedicated": null,
					"Vlan": null,
					"Cidr": null,
					"BridgeVlan": {
						"bridgeVlanRangeList": ["4094-4095",
						"5-6",
						"3-4",
						"1-2"]
					}
				},
				"IPSPolicyId": 19,
				"DomainId": 0,
				"SubInterfaces": null,
				"LastModTs": "2017-12-12 16:56:11"
			}]
		},
		"Ports": {
			"PortInfo": [{
				"portId": 131,
				"portSettings": {
					"portName": "G0/1",
					"portType": "SFP 1G Fiber",
					"configuration": {
						"speed": "TENGBPS",
						"autoNegotiate": false,
						"duplex": "FULL",
						"mediaType": "FIBER",
						"useOnlyMcafeeCertifiedSFP": false
					},
					"administrativeStatus": "DISABLE",
					"operationalStatus": "Down"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_CLOSE",
					"peerPort": "G0/2",
					"connectedTo": "INSIDE_NETWORK",
					"failOpenKit": "Unknown"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 132,
				"portSettings": {
					"portName": "G0/2",
					"portType": "---",
					"configuration": null,
					"administrativeStatus": null,
					"operationalStatus": "---"
				},
				"operatingMode": null,
				"ResponseMode": null,
				"ipSettings": null
			},
			{
				"portId": 133,
				"portSettings": {
					"portName": "G3/1",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "ENABLE",
					"operationalStatus": "Up"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_CLOSE",
					"peerPort": "G3/2",
					"connectedTo": "OUTSIDE_NETWORK",
					"failOpenKit": "Unknown"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 134,
				"portSettings": {
					"portName": "G3/2",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "ENABLE",
					"operationalStatus": "Up"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_CLOSE",
					"peerPort": "G3/1",
					"connectedTo": "INSIDE_NETWORK",
					"failOpenKit": "Unknown"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 135,
				"portSettings": {
					"portName": "G3/3",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "DISABLE",
					"operationalStatus": "Down"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_OPEN_PASSIVE",
					"peerPort": "G3/4",
					"connectedTo": "INSIDE_NETWORK",
					"failOpenKit": "Bypassing"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 136,
				"portSettings": {
					"portName": "G3/4",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "DISABLE",
					"operationalStatus": "Down"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_OPEN_PASSIVE",
					"peerPort": "G3/3",
					"connectedTo": "OUTSIDE_NETWORK",
					"failOpenKit": "Bypassing"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 137,
				"portSettings": {
					"portName": "G3/5",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "DISABLE",
					"operationalStatus": "Down"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_OPEN_PASSIVE",
					"peerPort": "G3/6",
					"connectedTo": "INSIDE_NETWORK",
					"failOpenKit": "Bypassing"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 138,
				"portSettings": {
					"portName": "G3/6",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "DISABLE",
					"operationalStatus": "Down"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_OPEN_PASSIVE",
					"peerPort": "G3/5",
					"connectedTo": "OUTSIDE_NETWORK",
					"failOpenKit": "Bypassing"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 139,
				"portSettings": {
					"portName": "G3/7",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "DISABLE",
					"operationalStatus": "Down"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_OPEN_PASSIVE",
					"peerPort": "G3/8",
					"connectedTo": "INSIDE_NETWORK",
					"failOpenKit": "Bypassing"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			},
			{
				"portId": 140,
				"portSettings": {
					"portName": "G3/8",
					"portType": "Copper Gigabit Ethernet (Gbps)",
					"configuration": {
						"speed": "ONEGBPS",
						"autoNegotiate": true,
						"duplex": "FULL",
						"mediaType": "COPPER",
						"useOnlyMcafeeCertifiedSFP": true
					},
					"administrativeStatus": "DISABLE",
					"operationalStatus": "Down"
				},
				"operatingMode": {
					"mode": "INLINE_FAIL_OPEN_PASSIVE",
					"peerPort": "G3/7",
					"connectedTo": "OUTSIDE_NETWORK",
					"failOpenKit": "Bypassing"
				},
				"ResponseMode": {
					"sendResponseFrom": "THIS_PORT",
					"responsePortNo": 0
				},
				"ipSettings": null
			}]
		}
	}
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor